Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface ConfigurableFileTree

    org.gradle.api.file.FileTree
      org.gradle.api.Buildable
          org.gradle.api.file.DirectoryTree
              org.gradle.api.file.ConfigurableFileTree
                  org.gradle.api.tasks.AntBuilderAware
                      org.gradle.api.file.FileCollection
                          org.gradle.api.tasks.util.PatternFilterable

All Superinterfaces:
  FileTree, Buildable, DirectoryTree, AntBuilderAware, FileCollection, PatternFilterable

    public interface ConfigurableFileTree
    extends Buildable, DirectoryTree, FileTree, PatternFilterable

A FileTree with a single base directory, which can be configured and modified.

You can obtain a `ConfigurableFileTree` instance by calling Project.fileTree.

Method Summary
`ConfigurableFileTree` | `builtBy(Object... tasks)` Registers some tasks which build the files of this collection.
`ConfigurableFileTree` | `from(Object dir)` Specifies base directory for this file tree using the given path.
`Set` | `getBuiltBy()` Returns the set of tasks which build the files of this collection.
`File` | `getDir()` Returns the base directory of this file tree.
`ConfigurableFileTree` | `setBuiltBy(Iterable tasks)` Sets the tasks which build the files of this collection.
`ConfigurableFileTree` | `setDir(Object dir)` Specifies base directory for this file tree using the given path.

Methods inherited from interface FileTree
getAsFileTree, matching, matching, plus, visit, visit

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface DirectoryTree
getDir, getPatterns

Methods inherited from interface PatternFilterable
exclude, exclude, exclude, exclude, getExcludes, getIncludes, include, include, include, include, setExcludes, setIncludes

Method Detail

### builtBy

    public ConfigurableFileTree builtBy(Object... tasks)

  Registers some tasks which build the files of this collection.
  Parameters:
    `tasks` - The tasks. These are evaluated as for Task.dependsOn.
  Returns:
    this

### from

    public ConfigurableFileTree from(Object dir)

  Specifies base directory for this file tree using the given path. The path is evaluated as for Project.file.
  Parameters:
    `dir` - The base directory.
  Returns:
    this

### getBuiltBy

    public Set getBuiltBy()

  Returns the set of tasks which build the files of this collection.
  Returns:
    The set. Returns an empty set when there are no such tasks.

### getDir

    public File getDir()

  Returns the base directory of this file tree.
  Returns:
    The base directory. Never returns null.

### setBuiltBy

    public ConfigurableFileTree setBuiltBy(Iterable tasks)

  Sets the tasks which build the files of this collection.
  Parameters:
    `tasks` - The tasks. These are evaluated as for Task.dependsOn.
  Returns:
    this

### setDir

    public ConfigurableFileTree setDir(Object dir)

  Specifies base directory for this file tree using the given path. The path is evaluated as for Project.file.
  Parameters:
    `dir` - The base directory.
  Returns:
    this

Gradle API 1.1-rc-1